summaryrefslogtreecommitdiff
path: root/misc/g15daemon/rc.g15daemon
diff options
context:
space:
mode:
Diffstat (limited to 'misc/g15daemon/rc.g15daemon')
-rw-r--r--misc/g15daemon/rc.g15daemon62
1 files changed, 62 insertions, 0 deletions
diff --git a/misc/g15daemon/rc.g15daemon b/misc/g15daemon/rc.g15daemon
new file mode 100644
index 0000000000..9bf247b831
--- /dev/null
+++ b/misc/g15daemon/rc.g15daemon
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# rc script to start/stop g15daemon.
+
+# Copyright 2009 Alan Alberghini <414N@slacky.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+function start()
+{
+ echo -n "Starting g15daemon..."
+ /usr/sbin/g15daemon
+}
+
+function stop()
+{
+ echo -n "Stopping g15daemon..."
+ if [ $(pidof g15daemon) ]
+ then
+ /usr/sbin/g15daemon -k
+ return 0
+ else
+ echo "Failed! g15daemon not running!"
+ return 1
+ fi
+
+}
+
+function restart()
+{
+ stop
+ sleep 1
+ start
+}
+
+case $1 in
+start)
+ start;;
+stop)
+ stop;;
+restart)
+ restart;;
+*)
+ echo "Usage: $(basename $0) start | stop | restart"
+ exit 1;;
+esac